## python-octaviaclient 3.6.0

=== debian/changelog ===
python-octaviaclient (3.6.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2024 08:44:38 +0000

python-octaviaclient (3.5.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:26:52 -0400

python-octaviaclient (3.4.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 11:56:48 -0500

python-octaviaclient (3.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:58:11 -0500

python-octaviaclient (3.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:27:24 -0500

## python-octaviaclient 3.7.0

=== debian/changelog ===
python-octaviaclient (3.7.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 15:18:10 +0000

=== debian/control ===
Source: python-octaviaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-hacking,
 python3-keystoneauth1 (>= 3.18.0),
 python3-mock (>= 2.0.0),
 python3-munch (>= 2.1.0),
 python3-netifaces,
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-osc-lib (>= 1.14.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pygments (>= 2.2.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octaviaclient
Homepage: https://opendev.org/openstack/python-octaviaclient
Testsuite: autopkgtest-pkg-python

Package: python-octaviaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Octavia client for OpenStack Load Balancing - doc
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the documentation.

Package: python3-octaviaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-munch (>= 2.1.0),
 python3-netifaces,
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.14.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octaviaclient-doc,
Description: Octavia client for OpenStack Load Balancing - Python 3.x
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=octaviaclient

UPSTREAM_GIT := https://opendev.org/openstack/python-octaviaclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-octaviaclient-doc/usr/share/doc/python-octaviaclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-octaviaclient 3.7.1

=== debian/changelog ===
python-octaviaclient (3.7.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 12:25:15 +0000

python-octaviaclient (3.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:37:50 +0200

python-octaviaclient (3.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 18:16:04 +0100

python-octaviaclient (3.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Oct 2023 17:19:10 +0200

python-octaviaclient (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 16:42:59 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-octaviaclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Tests broken on Python 3.8: https://storyboard.openstack.org/#!/story/2007536
	pkgos-dh_auto_test --no-py2 'octaviaclient\.tests\.unit\.(?!(.*osc\.v2\.test_l7rule\.TestL7RuleDelete\.test_l7rule_delete_wait.*|.*osc\.v2\.test_l7rule\.TestL7RuleSet\.test_l7rule_set_wait.*|.*osc\.v2\.test_l7rule\.TestL7RuleUnset\.test_l7rule_unset_invert_wait.*|.*osc\.v2\.test_member\.TestMemberSet\.test_member_set_wait.*|.*osc\.v2\.test_member\.TestMemberDelete\.test_member_delete_wait.*|.*osc\.v2\.test_member\.TestMemberUnset\.test_member_unset_name_wait.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-octaviaclient-doc/usr/share/doc/python-octaviaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-octaviaclient 3.8.0

=== debian/changelog ===
python-octaviaclient (3.8.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 19 Dec 2024 08:38:55 +0000

python-octaviaclient (3.8.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090544).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:35:36 +0100

python-octaviaclient (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:30:11 +0200

python-octaviaclient (3.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 11:46:55 +0200

## python-octaviaclient 3.8.1

=== debian/changelog ===
python-octaviaclient (3.8.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:17:58 +0000

## python-octaviaclient 3.9.0

=== debian/changelog ===
python-octaviaclient (3.9.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop surplus dependencies.
  * d/p/skip-py38-failures.patch: Don't skip tests.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 15:55:46 +0000

python-octaviaclient (3.8.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:32:34 +0100

## python-octaviaclient 3.10.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.18.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
osc-lib>=1.14.1 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0;python_version>='3.12' # PSF/ZPL
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-octaviaclient (3.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Feb 2025 14:08:31 +0000

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,9 @@
  python3-sphinx (>= 2.0.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 Build-Depends-Indep:
- python3-babel (>= 2.3.4),
  python3-cliff (>= 2.8.0),
- python3-coverage (>= 4.0),
  python3-hacking,
  python3-keystoneauth1 (>= 3.18.0),
- python3-mock (>= 2.0.0),
  python3-munch (>= 2.1.0),
  python3-netifaces,
  python3-neutronclient (>= 1:6.7.0),
@@ -32,7 +29,6 @@
  python3-oslotest (>= 1:3.2.0),
  python3-pygments (>= 2.2.0),
  python3-requests-mock (>= 1.2.0),
- python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
  python3-testscenarios (>= 0.4),
@@ -72,7 +68,6 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-octaviaclient 3.11.1+git2025070713.7f769f4

=== debian/changelog ===
python-octaviaclient (3.11.1+git2025070713.7f769f4-0ubuntu2) questing; urgency=medium

  * d/rules: Include PBR version. (LP: #2118836)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 30 Jul 2025 13:14:42 -0700

python-octaviaclient (3.11.1+git2025070713.7f769f4-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/remove-privacy-breach.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 13:51:29 -0700

## python-octaviaclient 3.12.0

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 keystoneauth1>=3.18.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0;python_version>='3.12' # PSF/ZPL
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-octaviaclient (3.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:44:08 +0200

python-octaviaclient (3.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Aug 2025 19:21:03 +0200

python-octaviaclient (3.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:41:21 +0100

python-octaviaclient (3.10.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:58:06 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info
@@ -26,7 +26,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-octaviaclient-doc/usr/share/doc/python-octaviaclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
 override_dh_python3:

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-octaviaclient refs/tags/(\d[brc\d\.]+)

## python-octaviaclient 3.13.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 keystoneauth1>=3.18.0 # Apache-2.0
-python-neutronclient>=6.7.0 # Apache-2.0
 python-openstackclient>=3.12.0 # Apache-2.0
 osc-lib>=1.14.1 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-octaviaclient (3.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add attach-fakes.FakeClientManager-to-TestOctaviaClient.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 18:48:26 +0100

python-octaviaclient (3.12.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048352).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:39:43 +0100

=== debian/control ===
Source: python-octaviaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pygments,
 python3-requests-mock,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-testscenarios,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-octaviaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-octaviaclient.git
Homepage: http://docs.openstack.org/developer/python-octaviaclient

Package: python-octaviaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Octavia client for OpenStack Load Balancing - doc
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the documentation.

Package: python3-octaviaclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octaviaclient-doc,
Description: Octavia client for OpenStack Load Balancing - Python 3.x
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 3.x module.
